    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2008, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * --------------------
    028     * VectorXYDataset.java
    029     * --------------------
    030     * (C) Copyright 2007, 2008, by Object Refinery Limited and Contributors.
    031     *
    032     * Original Author:  David Gilbert (for Object Refinery Limited);
    033     * Contributor(s):   -;
    034     *
    035     * Changes
    036     * -------
    037     * 30-Jan-2007 : Version 1 (DG);
    038     * 24-May-2007 : Renamed getDeltaXValue() as getVectorXValue(), and likewise
    039     *               for getDeltaYValue(), and replaced getDeltaX()/getDeltaY()
    040     *               with getVector() (DG);
    041     * 25-May-2007 : Moved from experimental to the main source tree (DG);
    042     *
    043     */
    044
    045    package org.jfree.data.xy;
    046
    047    /**
    048     * An extension of the {@link XYDataset} interface that allows a vector to be
    049     * defined at a specific (x, y) location.
    050     *
    051     * @since 1.0.6
    052     */
    053    public interface VectorXYDataset extends XYDataset {
    054
    055        /**
    056         * Returns the x-component of the vector for an item in a series.
    057         *
    058         * @param series  the series index.
    059         * @param item  the item index.
    060         *
    061         * @return The x-component of the vector.
    062         */
    063        public double getVectorXValue(int series, int item);
    064
    065        /**
    066         * Returns the y-component of the vector for an item in a series.
    067         *
    068         * @param series  the series index.
    069         * @param item  the item index.
    070         *
    071         * @return The y-component of the vector.
    072         */
    073        public double getVectorYValue(int series, int item);
    074
    075        /**
    076         * Returns the vector for an item in a series.  Depending on the particular
    077         * dataset implementation, this may involve creating a new {@link Vector}
    078         * instance --- if you are just interested in the x and y components,
    079         * use the {@link #getVectorXValue(int, int)} and
    080         * {@link #getVectorYValue(int, int)} methods instead.
    081         *
    082         * @param series  the series index.
    083         * @param item  the item index.
    084         *
    085         * @return The vector (possibly <code>null</code>).
    086         */
    087        public Vector getVector(int series, int item);
    088
    089    }